/* 
 * File:   main.c
 * Author: Chisanga
 *
 * Created on 09 June 2020, 8:56 PM
 */
//------------------------------------------------------------------------------
#define  _XTAL_FREQ  4000000
//------------------------------------------------------------------------------
#include <stdio.h>
#include <stdlib.h>
#include <xc.h>
//------------------------------------------------------------------------------
#include "headers/MCP4921_DAC.h"
#include "headers/Push_Buttons.h"
//------------------------------------------------------------------------------
unsigned int value = 2048;
//------------------------------------------------------------------------------
int main(int argc, char** argv) 
{
    pushButtons_init();   
    MCP4921_init(); 
   
    while(1)
    {
      if( (btn_increase) && (value < 4095) )     
      {
        value++;                        
      }
      else
          if( (btn_decrease) && (value > 0) )      
          {
            value--;                         
          }
      
      MCP4921_write(value);                    
      __delay_ms(1);                          // Slow down key repeat pace  
    }
    
    return (EXIT_SUCCESS);
}
//------------------------------------------------------------------------------